class IssueMatrix < CustomField

  def initialize(issues)
    @issues = issues
  end

  def issues
    @issues
  end
  
  def priorities
    IssuePriority.all.collect{|x| x.name}
  end

  def statuses
    IssueStatus.all.collect{|x| x.name}
  end

  def trackers
    Tracker.all.collect{ |x| x.name}
  end

  def get_tracker(tracker)
    count = 0
    @issues.each do |x|
      count += 1 if x.tracker.name == tracker 
    end
    return count    
  end

  def get_priority_status(priority, status = nil)
    count = 0
    @issues.each do |x|
      count += 1 if (x.priority.name == priority || priority.nil?) && (status.nil? || x.status.name == status)
    end
    return count
  end

end