
  class SpecBehaviour

    attr_accessor :name
    attr_accessor :start_line, :end_line
    attr_accessor :spec_context

    def initialize(name, spec_file = nil)
      @name = name
      @spec_file = spec_file
    end

    def display_name
      $MAX_BEHAVIOUR_NAME_DISPLAYED ||= 36
      # the reason to +1, as the behaviour name contains double or single quotes,
      # where as in running 1 of xxx, the quotes will be stripped off.
      @name.length > $MAX_BEHAVIOUR_NAME_DISPLAYED ? @name.strip[0,$MAX_BEHAVIOUR_NAME_DISPLAYED + 1] + "..." : @name
    end

    def source
      @code = spec_file.lines[(start_line-1)..(end_line-1)].join("\n")
    end

    def spec_file
      @spec_context.spec_file rescue nil
    end

    def lines
      source ? source.split("\n") : []
    end

    def file_path
			if @spec_file.local_work_path then
				@spec_file.local_work_path
			elsif ENV['TESTWISE_PROJECT_DIR'] then
				ENV['TESTWISE_PROJECT_DIR'] + "/" + File.basename(@spec_context.file_path)
			else
      	@spec_context.file_path
			end
    end

    def is_web_test?
      spec_file.is_web_test?
    end

  end

