require 'capistrano/ext/multistage'

set :stages, %w(buildserver demo staging training production)
set :default_stage, "buildserver"

set :application, "storywise"
set :use_sudo, false
 
# If you aren't deploying to /u/apps/#{application} on the target
# servers (which is the default), you can specify the actual location
# via the :deploy_to variable:
set :deploy_to, "/var/www/rails/#{application}"
default_run_options[:pty] = true
 
# If you aren't using Subversion to manage your source code, specify
# your SCM below:
set :scm, :git

# set :branch, "master"
set :deploy_via, :remote_cache
 
set :user, 'zhimin'
set :ssh_options, { :forward_agent => true }
 
desc "After Update Task"
task :after_update_code do

end

 
namespace :deploy do
  desc "Restarting mod_rails with restart.txt"
  task :restart, :roles => :app, :except => { :no_release => true } do
    run "touch #{current_path}/tmp/restart.txt"
  end
  
  [:start, :stop].each do |t|
    desc "#{t} task is a no-op with mod_rails"
    task t, :roles => :app do ; end
  end
end

namespace :bundler do
  task :create_symlink, :roles => :app do
    shared_dir = File.join(shared_path, 'bundle')
    release_dir = File.join(current_release, '.bundle')
    run("mkdir -p #{shared_dir} && ln -s #{shared_dir} #{release_dir}")
  end
 
  task :bundle_new_release, :roles => :app do
    bundler.create_symlink
    run "cd #{release_path} && bundle install --without test"  
    run "cd #{release_path} && rake db:migrate RAILS_ENV=#{rails_env}"

	  run "rm -rf #{release_path}/files" # remove the folder present for development 
	  run "ln -s #{deploy_to}/#{shared_dir}/files #{release_path}"
  end
end
 
after 'deploy:update_code', 'bundler:bundle_new_release'
