class CreateReleases < ActiveRecord::Migration
  def self.up
    create_table "releases", :force => true do |t|
      t.column "project_id", :integer, :default => 0, :null => false
      t.column "version_id", :integer, :default => 0, :null => false
      t.string "build" # store build number
      t.column "name", :string, :limit => 30, :unique => true,  :default => "", :null => false
      t.column "description", :string, :default => ""
      t.column "start_date", :date
      t.column "target_date", :date
      t.column "status", :string, :default => "new"
      t.column "created_on", :timestamp
      t.column "updated_on", :timestamp
    end
  end

  def self.down
    drop_table "releases"
  end
end
