class CreateTestResults < ActiveRecord::Migration
  def self.up
    create_table :test_results do |t|
      t.column "test_execution_id", :integer, :default => 0, :null => false
      t.column "test_file", :string
      t.column "test_name", :string, :null => false
      t.column "started_at", :timestamp, :null => false
      t.column "finished_at", :timestamp
      t.column "error_trace", :text
      t.column "result", :string, :default => "not_run" # passed, failed, error, other
      t.column "automated", :boolean, :default => false
      t.column "target_server", :string
      t.column "issues_covered", :string # comma, separated
      t.column "tester_machine", :string
      t.column "tester_name", :string
      t.timestamps
    end

    add_index :test_results, :test_name
  end

  def self.down
    drop_table :test_results
  end
end
