def reset_auto_increment(table)
  if Rails.env == "demo" || Rails.env == "development"
    Project.connection.execute("DELETE FROM sqlite_sequence WHERE name = '#{table}'")
  else
    Project.connection.execute("ALTER TABLE #{table} AUTO_INCREMENT = 0")
  end
end

Project.delete_all
reset_auto_increment('projects')

project = Project.create!(:name => "AdminWise", :identifier => "adminwise", :description => "Online Administration Made Easy")
Redmine::AccessControl.available_project_modules.each do |name|
  project.enabled_modules << EnabledModule.new(:name => name.to_s)
end

Project.connection.execute('DELETE FROM projects_trackers')
Tracker.all.each do |tracker|
  project.trackers << tracker
end
project.save

project = Project.first
Version.destroy_all
v1 = Version.create!(:name => '0.1', :project_id => project.id, :effective_date => Date.today, :description => "Alpha release", :sharing => 'none')
v1 = Version.create!(:name => '0.2', :project_id => project.id, :effective_date => Date.today.next_month, :description => "Beta release", :sharing => 'none')
v1 = Version.create!(:name => '0.3', :project_id => project.id, :effective_date => Date.today.next_year, :description => "Official release", :sharing => 'none')

Release.destroy_all
reset_auto_increment('releases')
release = Release.create!(:name => "rel-001", :project_id => project.id, :version_id => Version.first.id, :build => "build.123", :start_date => Date.today)

TestExecution.destroy_all
reset_auto_increment('test_executions')
TestResult.destroy_all
reset_auto_increment('test_results')
test_execution = TestExecution.new(:started_at => Time.now.yesterday, :token => 'abc')
test_execution.test_results << TestResult.new(:test_file =>"user_login_test.rb", :test_name => "[1] A registered user can login", :automated => true, :result => "passed", :started_at => Time.now + 2, :finished_at => Time.now + 3, :target_server => "System Test", :issues_covered => "1")
test_execution.test_results << TestResult.new(:test_file =>"library_test.rb", :test_name => "[3] Admin user can add a new library resource", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "3")
test_execution.test_results << TestResult.new(:test_file =>"library_test.rb", :test_name => "[4] Admin user can process returning a book", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "4")
test_execution.test_results << TestResult.new(:test_file =>"event_test.rb", :test_name => "[5] Can create a new event", :automated => true, :result => "failed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "5")
test_execution.test_results << TestResult.new(:test_file =>"event_test.rb", :test_name => "[6] Can edit an existing event", :automated => true, :result => "failed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "6")
test_execution.test_results << TestResult.new(:test_file =>"registrations_test.rb", :test_name => "[7] User can sign up for registration", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "7")
release.test_executions << test_execution


test_execution = TestExecution.new(:started_at => Time.now, 'token' => 'adf')
test_execution.test_results << TestResult.new(:test_file =>"user_login_test.rb", :test_name => "[1] A registered user can login", :automated => true, :result => "passed", :started_at => Time.now + 2, :finished_at => Time.now + 3, :target_server => "System Test", :issues_covered => "1")
test_execution.test_results << TestResult.new(:test_file =>"user_login_test.rb", :test_name => "[1] Admin user can login", :automated => true, :result => "passed", :started_at => Time.now + 4, :finished_at => Time.now + 5, :target_server => "System Test", :issues_covered => "1")
test_execution.test_results << TestResult.new(:test_file =>"library_test.rb", :test_name => "[2] Admin user can process a member borrowing a book", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "2")
test_execution.test_results << TestResult.new(:test_file =>"library_test.rb", :test_name => "[3] Admin user can add a new library resource", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "3")
test_execution.test_results << TestResult.new(:test_file =>"library_test.rb", :test_name => "[4] Admin user can process returning a book", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "4")
test_execution.test_results << TestResult.new(:test_file =>"event_test.rb", :test_name => "[5] Can create a new event", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "5")
test_execution.test_results << TestResult.new(:test_file =>"event_test.rb", :test_name => "[6] Can edit an existing event", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "6")
test_execution.test_results << TestResult.new(:test_file =>"registrations_test.rb", :test_name => "[7] User can sign up for registration", :automated => true, :result => "passed", :started_at => Time.now + 6, :finished_at => Time.now + 7, :target_server => "System Test", :issues_covered => "7")
release.test_executions << test_execution
release.save

User.destroy_all("id > 1")
conn = User.retrieve_connection()


zhimin = User.new(:firstname => "Zhimin", :lastname => "Zhan", :mail => "zhimin@example.com")
zhimin.login = "zhimin"
zhimin.password = "password"
zhimin.password_confirmation = "password"
zhimin.save


michael = User.new(:firstname => "Michael", :lastname => "Chan", :mail => "michael@example.com")
michael.login = "michael"
michael.password = "password"
michael.password_confirmation = "password"
michael.save

jon = User.new(:firstname => "Jon", :lastname => "Smith", :mail => "jon@example.com")
jon.login = "jon"
jon.password = "password"
jon.password_confirmation = "password"
jon.save

adam = User.new(:firstname => "Raymond", :lastname => "Clarks", :mail => "adam@example.com")
adam.login = "adam"
adam.password = "password"
adam.password_confirmation = "password"
adam.save

jerry = User.new(:firstname => "Jerry", :lastname => "Sandfield", :mail => "jerry@example.com")
jerry.login = "jerry"
jerry.password = "password"
jerry.password_confirmation = "password"
jerry.save


# conn.execute("INSERT INTO users (id, login, hashed_password, firstname, lastname,  mail_notification, admin, status, type, language) values(2, 'zhimin', '#{User.hash_password('test')}', 'Zhimin', 'Zhan',  1, 1, 1, 'User', 'en')")
# ',
# conn.execute("INSERT INTO users (id, login, hashed_password, firstname, lastname,  mail_notification, admin, status, type, language) values(3, 'sheldon', '#{User.hash_password('test')}', 'Michael', 'Chan', 'michael@example.com', 1, 0, 1, 'User', 'en')")
# conn.execute("INSERT INTO users (id, login, hashed_password, firstname, lastname, mail, mail_notification, admin, status, type, language) values(4, 'jon', '#{User.hash_password('test')}', 'Jon', 'Smith', 'jon@example.com', 1, 0, 1, 'User', 'en')")
# conn.execute("INSERT INTO users (id, login, hashed_password, firstname, lastname, mail, mail_notification, admin, status, type, language) values(5, 'adam', '#{User.hash_password('test')}', 'Raymond', 'Clarks', 'raymond@example.com', 1, 0, 1, 'User', 'en')")
# conn.execute("INSERT INTO users (id, login, hashed_password, firstname, lastname, mail, mail_notification, admin, status, type, language) values(6, 'jason', '#{User.hash_password('test')}', 'Jerry', 'Sandfield', 'jerry@example.com', 1, 0, 1, 'User', 'en')")

Issue.destroy_all
reset_auto_increment('issues')
Issue.create!({:project_id => project.id, :fixed_version => Version.first, :tracker_id => 1, :status_id => 1, :points => 1, :priority => IssuePriority.first, :author_id => zhimin.id, :assigned_to_id => 6, :subject => 'User can login successfully', :description => "User and password"})
Issue.create!({:project_id => project.id, :fixed_version => Version.first, :tracker_id => 2, :status_id => 2, :points => 2, :priority => IssuePriority.all[1], :author_id => zhimin.id, :assigned_to_id => 6, :verification_method => "Both", :subject => 'Admin user can process member borrowing a resource', :description => "Admin user can process member borrowing a resource"})
Issue.create!({:project_id => project.id, :fixed_version => Version.first, :tracker_id => 3, :status_id => 3, :points => 3, :priority => IssuePriority.all[2], :author_id => michael.id, :assigned_to_id => 3, :verification_method => "Automated", :subject => 'Admin User can add a new library resource', :description => "Admin User can add a new library resource"})
Issue.create!({:project_id => project.id, :fixed_version => Version.first, :tracker_id => 1, :status_id => 1, :points => 1, :priority => IssuePriority.all[2], :author_id => michael.id, :assigned_to_id => 3, :verification_method => "Automated", :subject => 'Admin user can process member returning books', :description => "Admin user can process member returning books"})
Issue.create!({:project_id => project.id, :fixed_version => Version.all[1], :tracker_id => 1, :status_id => 1, :points => 2, :priority => IssuePriority.all[2], :author_id => michael.id, :assigned_to_id => 6, :subject => 'Admin user can create a new event', :description => "Admin user can create a new event"})
Issue.create!({:project_id => project.id, :fixed_version => Version.first, :tracker_id => 1, :status_id => 2, :points => 3, :priority => IssuePriority.all[1], :author_id => michael.id, :assigned_to_id => 6, :verification_method => "Automated", :subject => 'Admin user can edit an existing event', :description => "Admin user can edit an existing event"})
Issue.create!({:project_id => project.id, :fixed_version => Version.first, :tracker_id => 2, :status_id => 2, :points => 1, :priority => IssuePriority.all[1], :author_id => michael.id, :assigned_to_id => 2, :verification_method => "Automated", :subject => 'Admin user can edit an existing event', :description => "Admin user can edit an existing event"})

zhimin = User.all[1]
sheldon  = User.all[2]

Member.delete_all
reset_auto_increment('members')
Member.connection.execute("INSERT INTO members (id, user_id, project_id) values (1, 2, 1)")
Member.connection.execute("INSERT INTO members (id, user_id, project_id) values (2, 3, 1)")
Member.connection.execute("INSERT INTO members (id, user_id, project_id) values (3, 6, 1)")
Member.connection.execute("INSERT INTO members (id, user_id, project_id) values (4, 4, 1)")

MemberRole.delete_all
reset_auto_increment('member_roles')
MemberRole.connection.execute("INSERT INTO member_roles (member_id, role_id) values (1, 3)")
MemberRole.connection.execute("INSERT INTO member_roles (member_id, role_id) values (1, 5)")
MemberRole.connection.execute("INSERT INTO member_roles (member_id, role_id) values (2, 5)")
MemberRole.connection.execute("INSERT INTO member_roles (member_id, role_id) values (2, 3)")
MemberRole.connection.execute("INSERT INTO member_roles (member_id, role_id) values (3, 4)")
MemberRole.connection.execute("INSERT INTO member_roles (member_id, role_id) values (4, 3)")


release.issues << Issue.all
release.save
