load File.dirname(__FILE__) + '/test_helper.rb'

test_suite "Events" do
  include TestHelper
  
  before(:all) do
    open_browser
    failsafe{ logout }
  end

  after(:all) do
    #close_browser unless debugging?
  end

  before(:each) do
    reset_database
    login_as("admin")
  end

  after(:each) do
    logout unless debugging?
    visit "/" unless debugging?
  end


  # Press key Ctrl+Shift+N, then enter 123 quickly navigate you here
  story "[5] Can create a new event" do
    click_link("Events")
    event_list_page = expect_page EventListPage
    event_page = event_list_page.click_new
    event_page.enter_name("ABA Workshop")
    event_page.enter_venue("QUT")
    event_page.enter_presenters("Many")
    event_page.enter_date("10/12/2010")
    event_page.click_create
    assert_text_present("3 events")
  end

  test "[6] Can edit an existing event" do
    click_link("Events")
    event_list_page = expect_page EventListPage
    event_page = event_list_page.edit(1)
    event_page.enter_name("2010 Agileway Testing Conference")
    event_page.click_update
    assert_text_present("2010 Agileway Testing Conference")
  end


end
