load File.dirname(__FILE__) + '/test_helper.rb'

specification "Library: Borrowing and Lending" do
  include TestHelper

  before(:all) do
    open_browser
    failsafe{ logout }
  end

  after(:all) do
    #close_browser unless debugging?
  end

  before(:each) do
    reset_database
    login_as("admin")
  end

  after(:each) do
    failsafe{ logout }
    #click_link("Logout") unless debugging?
    goto_page("/") unless debugging?
  end

  story "[3] Admin user can add a new library resource" do
    # TODO, first do manually, login : admin/xindi
    click_link("Library")
    library_page = expect_page LibraryPage
    library_page.add_new_resources
    library_page.add_manually
    new_resource_page = expect_page NewResourcePage
    new_resource_page.enter_title("The Other Country")
    new_resource_page.enter_authors("Michael Whelan")
    new_resource_page.select_subject("Families")
    new_resource_page.click_create
    click_button("Save")
    click_link("Library")
    enter_text("q", "The Other Country")
    click_button("search")
    try { page_text.should include("matches for 'The Other Country'")}
  end

  story "[2] Admin user can process a member borrowing a book" do
    click_link("Library")
    library_page = expect_page LibraryPage
    library_page.click_borrow
    library_borrow_page = expect_page LibraryBorrowPage
    library_borrow_page.enter_member_name("Zhimin Zhan")
    library_borrow_page.click_find_member
    library_borrow_page.enter_resource("100001")
    library_borrow_page.click_find_resource
    library_borrow_page.click_select
    library_borrow_page = expect_page LibraryBorrowPage
    library_borrow_page.click_process
    # back to empty borrow page

    library_borrow_page.enter_member_name("Zhimin Zhan")
    library_borrow_page.click_find_member
    sleep 0.5
    click_link("1 Rentals")
    expect_page MemberBorrowHistoryPage
    #
  end

  story "[4] Admin user can process returning a book" do
    click_link("Library")
    library_page = expect_page LibraryPage
    library_page.click_borrow
    library_borrow_page = expect_page LibraryBorrowPage
    library_borrow_page.enter_member_name("Zhimin Zhan")
    library_borrow_page.click_find_member
    library_borrow_page.enter_resource("100001")
    library_borrow_page.click_find_resource
    library_borrow_page.click_select
    library_borrow_page = expect_page LibraryBorrowPage
    library_borrow_page.click_process

    #   search 100001
    #   assert status checkedout, using id
    click_link("Library")
    library_page = expect_page LibraryPage
    library_page = expect_page LibraryPage
    library_page.enter_query("100001")
    library_page.click_search
    sleep 0.5
    click_link("Let Me Hear Your Voice: A Family's Triumph over Autism")
    cell(:id, "item_status_100001").text.strip.should == "Checked out"

    click_link("Library")
    library_page = expect_page LibraryPage
    library_page.click_return
    sleep 0.5
    library_return_page = expect_page LibraryReturnPage
    library_return_page.enter_resource("100001")
    library_return_page.click_find
    sleep 1
    assert_text_present("Let Me Hear Your Voice: A Family's Triumph over Autism")
    library_return_page.click_process

    click_link("Library")
    library_page = expect_page LibraryPage
    library_page.enter_query("100001")
    library_page.click_search
    sleep 1
    click_link("Let Me Hear Your Voice: A Family's Triumph over Autism")
    cell(:id, "item_status_100001").text.strip.should == "Available"
  end

  story"[5]Admin user can add new resource"do
    click_link("Logout")
    enter_text("username", "admin")
    enter_text("password", "password")
    click_button("Log in")
    click_link("Library")
    click_link("Add new resources")
    click_link("Add New resource manually")
    enter_text("resource[title]", "Beyond the Wall")
    enter_text("resource[authors]", "Steven Shore")
    select_option("resource[subject]", "Personal Perspectives/Case Studies")
    enter_text("resource[publish_date]", "10/09/2004")
    select_option("resource[media]", "Book")
    select_option("first_copy_location", "Office")
    click_button("Create")
    click_button("Save")
    click_link("Browse")
    page_text.should include("Beyond the Wall")
  end

end
