load File.dirname(__FILE__) + '/test_helper.rb'

describe "Memebership" do
  include TestHelper

  before(:all) do
    open_browser
    reset_database
  end

  after(:all) do
    # close_browser unless debugging?
  end

  before(:each) do
    login_as("admin", "password")
  end

  after(:each) do
    fail_safe { logout }
  end

  it "[7] Admin user can create a new family member" do
    click_link("Membership")
    click_link("Add member")
    enter_text("member[fname]", "Cindy")
    enter_text("member[lname]", "Fu")
    enter_text("member[street_addr]", "25 John Drive")
    enter_text("member[suburb]", "Ashgrove")
    enter_text("member[state]", "QLD")
    enter_text("member[postcode]", "4051")
    enter_text("member[phone]", "33440566")
    enter_text("member[mobile]", "0411231764")
    enter_text("member[email]", "cindy@agileway.com.au")
    click_radio_option("member[member_type]", "family_1")
    click_radio_option("member[mail_out]", "true")
    click_radio_option("member[doing_aba]", "true")
    select_option("member[aware_from]", "family/ friend")
    click_button("Save")
    click_link("Membership")
    page_text.should include("Cindy Fu")
  end

  it "[8] Admin user can create a new organisation member" do
    click_link("Add member")
    enter_text("member[oname]", "CareLink Pty Ltd")
    enter_text("member[fname]", "Michele")
    enter_text("member[lname]", "Wind")
    enter_text("member[street_addr]", "36 Steven Road")
    enter_text("member[suburb]", "Stafford")
    enter_text("member[state]", "QLD")
    enter_text("member[postcode]", "4054")
    enter_text("member[phone]", "3972 5844")
    enter_text("member[email]", "mwind@carelink.com.au")
    click_radio_option("member[member_type]", "school")
    select_option("member[aware_from]", "conference/ workshop")
    click_button("Save")
    click_link("Membership")
    page_text.should include("CareLink Pty Ltd")
  end

end
