load File.dirname(__FILE__) + '/test_helper.rb'

test_suite "Event Registrations" do
  include TestHelper

  before(:all) do
    open_browser
  end

  before(:each) do
    reset_database
    # move steps you will do for each test case (in this suite) here
    visit "/events/register/2"
  end

  after(:each) do
    fail_safe { logout }
    #logout unless debugging?
  end

  after(:all) do
    # close_browser if is_windows? and is_firefox?
  end

  test "[7] User can sign up for registration" do
    event_registration_page = expect_page EventRegistrationPage
    event_registration_page.select_is_member("yes")
    sleep 0.5
    event_registration_page.enter_member_id("30008")
    event_registration_page.enter_member_surname("zhan")
    event_registration_page.click_find
    sleep 1
    event_registration_page.click_register
    click_button("Confirm")

    page_text.should include("Your registration for 2010 STANZ Conference has been received.")
    click_link("New Registration")
    #    click_radio_option("payment_via_eft", "yes")
    click_radio_option("is_abiq_member", "no")
    enter_text("person[title]", "Ms")
    enter_text("person[first_name]", "Eileen")
    enter_text("person[last_name]", "Fa")
    enter_text("person[organisation]", "Agileway")
    select_option("person[occupation]", "Occupational therapist")
    enter_text("person[email]", "eileen.fa@gmail.com")
    enter_text("person[phone]", "30087998")
    enter_text("person[address_line1]", "10 Pember St")
    enter_text("person[suburb]", "Brisbane")
    enter_text("person[postcode]", "4000")
    uncheck_checkbox("event_registration[email_notification]", "1")
    click_button_with_id("registerBtn")
    click_button("Confirm")
    page_text.should include("Your registration for 2010 STANZ Conference has been received.")

    visit "/"
    login_as("admin")
    click_link("Events")
    # click_link_with_id("show_1")
    #page_text.should.include("2  waiting to be processed")
  end
end
