require 'rubygems'
require 'rwebspec'
require 'httpclient'

Dir["#{File.dirname(__FILE__)}/pages/*_page.rb"].each { |file| require file }

FireWatir::Firefox.firefox_started = true if RUBY_PLATFORM.downcase.include?("darwin")

#$BASE_URL = "http://localhost:2800"
#$BASE_URL = "http://demo.adminwise.com"
$BASE_URL = "http://adminwise.macmini"

# This is the helper for your tests, every test file will include all the operation
# defined here.
module TestHelper

  include RWebSpec::RSpecHelper
  include RWebSpec::Assert

  # In you test case, you can use
  #
  #   login_as("homer", "Password")
  #   login_as("bart")  # the password will be default to 'iTest2'
  #   login("lisa")     # same as login_as
  def login_as(username, password = "password")
    home_page = expect_page HomePage
    home_page.enter_login(username)
    home_page.enter_password(password)
    home_page.click_login
  end
  alias login login_as

  def logout
    failsafe { click_link("Logout") }
  end


  def reset_database
    base_url = $ITEST2_PROJECT_BASE_URL || $BASE_URL
    goto_url("#{base_url}/reset")
    goto_page("/")
  end
  
  def reset_database_silient
  
    # Option 2: using HTTP to call reset_database URL directly
    base_url = $ITEST2_PROJECT_BASE_URL || $BASE_URL
    begin
      client = HTTPClient.new
      reset_response =  client.get("#{base_url}/reset").body.content
      debug reset_database
      raise "Reset database failed: #{reset_database}" unless reset_response == "Database Reset OK"
    rescue => e
      raise "failed to reset the database: #{base_url}, #{e}"
    end
  end

end
